Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Thread_Pool.cpp File Reference

`#include "Thread_Pool.h"`
`#include "tao/Exception.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/ORB.h"`
`#include "tao/Acceptor_Registry.h"`
`#include "tao/Transport_Cache_Manager.h"`
`#include "tao/debug.h"`
`#include "tao/RTCORBA/Priority_Mapping_Manager.h"`
`#include "tao/LF_Follower.h"`
`#include "tao/Leader_Follower.h"`
`#include "ace/Auto_Ptr.h"`
`#include "Thread_Pool.i"`

Include dependency graph for Thread_Pool.cpp:

## Defines
#define | TAO_THREAD_POOL_MANAGER_GUARD
## Functions
const char * | get_rcsid_RTCORBA_Thread_Pool (const char *)
## Variables
const char * | rcsid_RTCORBA_Thread_Pool = get_rcsid_RTCORBA_Thread_Pool ( rcsid_RTCORBA_Thread_Pool )

## Define Documentation

#define TAO_THREAD_POOL_MANAGER_GUARD

| Value:
    ACE_GUARD_THROW_EX ( \
        ACE_SYNCH_MUTEX, \
        mon, \
        this->lock_, \
        CORBA::INTERNAL ( \
          CORBA::SystemException::_tao_minor_code ( \
            TAO_GUARD_FAILURE, \
            0), \
          CORBA::COMPLETED_NO));

## Function Documentation

const char* get_rcsid_RTCORBA_Thread_Pool | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_RTCORBA_Thread_Pool = get_rcsid_RTCORBA_Thread_Pool ( rcsid_RTCORBA_Thread_Pool )`[static]`